# Ogre::Win32Timer Class Reference

`#include <OgreWin32Timer.h>`

Inheritance diagram for Ogre::Win32Timer:

List of all members.

## Public Member Functions

virtual void | reset ()
| Resets timer.
virtual unsigned long | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
virtual unsigned long | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
virtual unsigned long | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
virtual unsigned long | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.

## Protected Attributes

clock_t | zeroClock

## Private Attributes

DWORD | mStartTick
LONGLONG | mLastTime
LARGE_INTEGER | mStartTime
LARGE_INTEGER | mFrequency

## Member Function Documentation

virtual unsigned long Ogre::Win32Timer::getMicroseconds | ( |  | ) | `[virtual]`

| Returns microseconds since initialisation or last reset. Reimplemented from Ogre::Timer.

virtual unsigned long Ogre::Timer::getMicrosecondsCPU | ( |  | ) | `[virtual, inherited]`

| Returns microseconds since initialisation or last reset, only CPU time measured.

virtual unsigned long Ogre::Win32Timer::getMilliseconds | ( |  | ) | `[virtual]`

| Returns milliseconds since initialisation or last reset. Reimplemented from Ogre::Timer.

virtual unsigned long Ogre::Timer::getMillisecondsCPU | ( |  | ) | `[virtual, inherited]`

| Returns milliseconds since initialisation or last reset, only CPU time measured.

virtual void Ogre::Win32Timer::reset | ( |  | ) | `[virtual]`

| Resets timer. Reimplemented from Ogre::Timer.

## Member Data Documentation

LARGE_INTEGER Ogre::Win32Timer::mFrequency `[private]`

| Definition at line 39 of file OgreWin32Timer.h.

LONGLONG Ogre::Win32Timer::mLastTime `[private]`

| Definition at line 37 of file OgreWin32Timer.h.

DWORD Ogre::Win32Timer::mStartTick `[private]`

| Definition at line 36 of file OgreWin32Timer.h.

LARGE_INTEGER Ogre::Win32Timer::mStartTime `[private]`

| Definition at line 38 of file OgreWin32Timer.h.

clock_t Ogre::Timer::zeroClock `[protected, inherited]`

| Definition at line 39 of file OgreTimer.h.

The documentation for this class was generated from the following file:

- OgreWin32Timer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:05:16 2006